Package org.apache.sysds.runtime.io.hdf5.message

## Class H5Message

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.message.H5Message

Direct Known Subclasses:
  `H5DataLayoutMessage`, `H5DataSpaceMessage`, `H5DataTypeMessage`, `H5FillValueMessage`, `H5NilMessage`, `H5ObjectModificationTimeMessage`, `H5SymbolTableMessage`

    public abstract class H5Message
    extends Object

### Constructor Summary

Constructors
`H5Message​(H5RootObject rootObject, BitSet flags)`

### Method Summary

All Methods Static Methods Concrete Methods
`static H5Message` `readObjectHeaderMessage​(H5RootObject rootObject, ByteBuffer bb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H5Message

    public H5Message​(H5RootObject rootObject,
                     BitSet flags)

### Method Detail

#### readObjectHeaderMessage

    public static H5Message readObjectHeaderMessage​(H5RootObject rootObject,
                                                    ByteBuffer bb)